#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA9,0x94,0x8E,0x42,0xC5,0xE1,0x45,0x5A,0x75,0x62,0x87,0x7D,
		0xDC,0x0D,0xC9,0x38,0x94,0x53,0x85,0x02,0x50,0xF6,0xC3,0x19,
		0x1E,0x6D,0x10,0x08,0x70,0x3D,0x37,0x9F,0x21,0x09,0xFB,0x87,
		0xDC,0x43,0x41,0x60,0x44,0x19,0x5F,0x17,0x21,0xC0,0xE3,0xF9,
		0x2A,0x4B,0x8D,0x8B,0x98,0x0B,0x43,0x1B,0xB7,0x01,0x8A,0xA3,
		0xBA,0x63,0x03,0x5B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
